# Uses of Interface
org.osgi.framework.BundleContext

Packages that use BundleContext
Package
Description
org.apache.felix.framework
org.apache.felix.framework.ext
org.apache.felix.framework.util
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.hooks.bundle
Framework Bundle Hooks Package Version 1.1.
org.osgi.framework.hooks.service
Framework Service Hooks Package Version 1.1.
org.osgi.util.tracker
Tracker Package Version 1.5.

## Uses of BundleContext in org.apache.felix.framework

Methods in org.apache.felix.framework with parameters of type BundleContext
Modifier and Type
Method
Description
`ServiceRegistration<?>`
ServiceRegistry.`registerService(BundleContext context, String[] classNames, Object svcObj, Dictionary dict)`
`protected void`
Logger.`setSystemBundleContext(BundleContext context)`

## Uses of BundleContext in org.apache.felix.framework.ext

Subinterfaces of BundleContext in org.apache.felix.framework.ext
Modifier and Type
Interface
Description
`interface`
`FelixBundleContext`

## Uses of BundleContext in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return BundleContext
Modifier and Type
Method
Description
`BundleContext`
ListenerInfo.`getBundleContext()`
Methods in org.apache.felix.framework.util with parameters of type BundleContext
Modifier and Type
Method
Description
`Filter`
EventDispatcher.`addListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
`void`
SecureAction.`invokeBundleFindHook(FindHook fh, BundleContext bc, Collection<Bundle> bundles)`
`void`
SecureAction.`invokeServiceFindHook(FindHook fh, BundleContext context, String name, String filter, boolean allServices, Collection<ServiceReference<?>> references)`
`ListenerHook.ListenerInfo`
EventDispatcher.`removeListener(BundleContext bc, Class clazz, EventListener l)`
`void`
EventDispatcher.`removeListeners(BundleContext bc)`
`void`
SecureAction.`startActivator(BundleActivator activator, BundleContext context)`
`void`
SecureAction.`stopActivator(BundleActivator activator, BundleContext context)`
`Filter`
EventDispatcher.`updateListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
Method parameters in org.apache.felix.framework.util with type arguments of type BundleContext
Modifier and Type
Method
Description
`void`
SecureAction.`invokeBundleEventHook(EventHook eh, BundleEvent event, Collection<BundleContext> contexts)`
`void`
SecureAction.`invokeServiceEventHook(EventHook eh, ServiceEvent event, Collection<BundleContext> contexts)`
`void`
SecureAction.`invokeServiceEventListenerHook(EventListenerHook elh, ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`
Constructors in org.apache.felix.framework.util with parameters of type BundleContext
Modifier
Constructor
Description
``
`ListenerInfo(Bundle bundle, BundleContext context, Class listenerClass, EventListener listener, Filter filter, Object acc, boolean removed)`

## Uses of BundleContext in org.osgi.framework

Methods in org.osgi.framework that return BundleContext
Modifier and Type
Method
Description
`BundleContext`
Bundle.`getBundleContext()`
Returns this bundle's `BundleContext`.
Methods in org.osgi.framework with parameters of type BundleContext
Modifier and Type
Method
Description
`void`
BundleActivator.`start(BundleContext context)`
Called when this bundle is started so the Framework can perform the bundle-specific activities necessary to start this bundle.
`void`
BundleActivator.`stop(BundleContext context)`
Called when this bundle is stopped so the Framework can perform the bundle-specific activities necessary to stop the bundle.

## Uses of BundleContext in org.osgi.framework.hooks.bundle

Methods in org.osgi.framework.hooks.bundle with parameters of type BundleContext
Modifier and Type
Method
Description
`void`
FindHook.`find(BundleContext context, Collection<Bundle> bundles)`
Find hook method.
Method parameters in org.osgi.framework.hooks.bundle with type arguments of type BundleContext
Modifier and Type
Method
Description
`void`
EventHook.`event(BundleEvent event, Collection<BundleContext> contexts)`
Bundle event hook method.

## Uses of BundleContext in org.osgi.framework.hooks.service

Methods in org.osgi.framework.hooks.service that return BundleContext
Modifier and Type
Method
Description
`BundleContext`
ListenerHook.ListenerInfo.`getBundleContext()`
Return the context of the bundle which added the listener.
Methods in org.osgi.framework.hooks.service with parameters of type BundleContext
Modifier and Type
Method
Description
`void`
FindHook.`find(BundleContext context, String name, String filter, boolean allServices, Collection<ServiceReference<?>> references)`
Find hook method.
Method parameters in org.osgi.framework.hooks.service with type arguments of type BundleContext
Modifier and Type
Method
Description
`void`
EventHook.`event(ServiceEvent event, Collection<BundleContext> contexts)`
Deprecated.
Event hook method.
`void`
EventListenerHook.`event(ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`
Event listener hook method.

## Uses of BundleContext in org.osgi.util.tracker

Fields in org.osgi.util.tracker declared as BundleContext
Modifier and Type
Field
Description
`protected final BundleContext`
BundleTracker.`context`
The Bundle Context used by this `BundleTracker`.
`protected final BundleContext`
ServiceTracker.`context`
The Bundle Context used by this `ServiceTracker`.
Constructors in org.osgi.util.tracker with parameters of type BundleContext
Modifier
Constructor
Description
``
`BundleTracker(BundleContext context, int stateMask, BundleTrackerCustomizer<T> customizer)`
Create a `BundleTracker` for bundles whose state is present in the specified state mask.
``
`ServiceTracker(BundleContext context, Class<S> clazz, ServiceTrackerCustomizer<S,T> customizer)`
Create a `ServiceTracker` on the specified class.
``
`ServiceTracker(BundleContext context, String clazz, ServiceTrackerCustomizer<S,T> customizer)`
Create a `ServiceTracker` on the specified class name.
``
`ServiceTracker(BundleContext context, Filter filter, ServiceTrackerCustomizer<S,T> customizer)`
Create a `ServiceTracker` on the specified `Filter` object.
``
`ServiceTracker(BundleContext context, ServiceReference<S> reference, ServiceTrackerCustomizer<S,T> customizer)`
Create a `ServiceTracker` on the specified `ServiceReference` .